geos::operation::buffer::SubgraphDepthLocater Class Reference

Locates a subgraph inside a set of subgraphs, in order to determine the outside depth of the subgraph. More...

`#include <SubgraphDepthLocater.h>`

## Public Member Functions

| SubgraphDepthLocater (std::vector< BufferSubgraph * > *newSubgraphs)
int | getDepth (const geom::Coordinate &p)

## Detailed Description

Locates a subgraph inside a set of subgraphs, in order to determine the outside depth of the subgraph.

The input subgraphs are assumed to have had depths already calculated for their edges.

The documentation for this class was generated from the following file:

- SubgraphDepthLocater.h